当前位置: 首页 > news >正文

flutter 导出iOS问题3

更新flutter版本后

macminihao@macMiniaodeMini SocialIM % flutter --version
Flutter 3.7.12 • channel stable • https://github.com/flutter/flutter.git
Framework • revision 4d9e56e694 (1 year, 2 months ago)2023-04-17 21:47:46 -0400
Engine • revision 1a65d409c7
Tools • Dart 2.19.6 • DevTools 2.20.1
macminihao@macMiniaodeMini SocialIM % 

pod install时出现

第一个问题

[!] CocoaPods could not find compatible versions for pod "AppsFlyerFramework":In snapshot (Podfile.lock):AppsFlyerFramework (= 6.10.1)In Podfile:appsflyer_sdk (from `.symlinks/plugins/appsflyer_sdk/ios`) was resolved to 6.14.3, which depends onAppsFlyerFramework (= 6.14.3)Specs satisfying the `AppsFlyerFramework (= 6.10.1), AppsFlyerFramework (= 6.14.3)` dependency were found, but they required a higher minimum deployment target.

版本冲突,统一版本为6.10.1
在这里插入图片描述
第二个问题

提示更新本地 spec
尝试更新本地 spec。可以运行以下命令来更新:

pod repo update

第三个问题

[!] CocoaPods could not find compatible versions for pod "FBSDKCoreKit":In Podfile:facebook_app_events (from `.symlinks/plugins/facebook_app_events/ios`) was resolved to 0.0.1, which depends onFBSDKCoreKit (~> 17.0)flutter_facebook_auth (from `.symlinks/plugins/flutter_facebook_auth/ios`) was resolved to 4.4.1, which depends onFBSDKLoginKit (= 14.1.0) was resolved to 14.1.0, which depends onFBSDKCoreKit (= 14.1.0)

17.0改成14.1.0
在这里插入图片描述
第四个问题

[!] CocoaPods could not find compatible versions for pod "GoogleAppMeasurement":In Podfile:firebase_analytics (from `.symlinks/plugins/firebase_analytics/ios`) was resolved to 10.5.1, which depends onFirebase/Analytics (= 10.15.0) was resolved to 10.15.0, which depends onFirebase/Core (= 10.15.0) was resolved to 10.15.0, which depends onFirebaseAnalytics (~> 10.15.0) was resolved to 10.15.0, which depends onFirebaseAnalytics/AdIdSupport (= 10.15.0) was resolved to 10.15.0, which depends onGoogleAppMeasurement (= 10.15.0)google_mobile_ads (from `.symlinks/plugins/google_mobile_ads/ios`) was resolved to 0.0.1, which depends onGoogle-Mobile-Ads-SDK (= 9.6.0) was resolved to 9.6.0, which depends onGoogleAppMeasurement (< 10.0, >= 7.0)

9.6.0改成10.6.0
在这里插入图片描述

相关文章:

  • PyTorch 统计属性-Tensor基本操作
  • ARM-V9 RME(Realm Management Extension)系统架构之系统安全能力的MPAM
  • android 异屏同显二.
  • 方差,标准差,CPK指标数据分析 (使用SQL做数据分析)
  • Mongodb使用$<identifier>过滤更新数组元素
  • 高通Android开关机动画踩坑简单记录
  • 【QT】QSettings读取中文乱码
  • 小程序外卖开发中的关键技术与实现方法
  • Android WebSocket长连接的实现
  • winhttp劫持dll
  • 文字悬停效果
  • PCIE的吞吐量如何计算和记忆诀窍?
  • Calibre版图验证工具调用_笔记
  • 下载kibana-7.10.2教程
  • 恭喜!X医生斩获英国伦敦大学学院访问学者邀请函
  • gf框架之分页模块(五) - 自定义分页
  • JDK9: 集成 Jshell 和 Maven 项目.
  • js算法-归并排序(merge_sort)
  • RxJS 实现摩斯密码(Morse) 【内附脑图】
  • Spring Security中异常上抛机制及对于转型处理的一些感悟
  • ucore操作系统实验笔记 - 重新理解中断
  • Yeoman_Bower_Grunt
  • 产品三维模型在线预览
  • 等保2.0 | 几维安全发布等保检测、等保加固专版 加速企业等保合规
  • 翻译:Hystrix - How To Use
  • 小程序开发之路(一)
  • 用 Swift 编写面向协议的视图
  • k8s使用glusterfs实现动态持久化存储
  • 从如何停掉 Promise 链说起
  • ​【已解决】npm install​卡主不动的情况
  • # Swust 12th acm 邀请赛# [ K ] 三角形判定 [题解]
  • #、%和$符号在OGNL表达式中经常出现
  • #ubuntu# #git# repository git config --global --add safe.directory
  • #我与Java虚拟机的故事#连载09:面试大厂逃不过的JVM
  • #中的引用型是什么意识_Java中四种引用有什么区别以及应用场景
  • $ git push -u origin master 推送到远程库出错
  • $(selector).each()和$.each()的区别
  • (10)ATF MMU转换表
  • (145)光线追踪距离场柔和阴影
  • (2020)Java后端开发----(面试题和笔试题)
  • (3)Dubbo启动时qos-server can not bind localhost22222错误解决
  • (delphi11最新学习资料) Object Pascal 学习笔记---第13章第1节 (全局数据、栈和堆)
  • (LNMP) How To Install Linux, nginx, MySQL, PHP
  • (Matlab)使用竞争神经网络实现数据聚类
  • (附源码)计算机毕业设计ssm-Java网名推荐系统
  • (每日持续更新)jdk api之StringBufferInputStream基础、应用、实战
  • (免费领源码)Java#ssm#MySQL 创意商城03663-计算机毕业设计项目选题推荐
  • (生成器)yield与(迭代器)generator
  • (一)C语言之入门:使用Visual Studio Community 2022运行hello world
  • (原創) 如何將struct塞進vector? (C/C++) (STL)
  • (转)iOS字体
  • (转)母版页和相对路径
  • .Net IOC框架入门之一 Unity
  • .Net的C#语言取月份数值对应的MonthName值
  • .NET学习全景图